--- linux-old/drivers/hwmon/hwmon.c	2008-11-10 00:04:42.000000000 -0500
+++ linux/drivers/hwmon/hwmon.c	2008-11-07 17:13:49.000000000 -0500
@@ -86,6 +86,13 @@
 			"hwmon_device_unregister() failed: bad class ID!\n");
 }
 
+struct class* get_hwmon_class(void)
+{
+	return hwmon_class;
+}
+
+
+
 static int __init hwmon_init(void)
 {
 	hwmon_class = class_create(THIS_MODULE, "hwmon");
@@ -106,6 +106,7 @@
 
 EXPORT_SYMBOL_GPL(hwmon_device_register);
 EXPORT_SYMBOL_GPL(hwmon_device_unregister);
+EXPORT_SYMBOL_GPL(get_hwmon_class);
 
 MODULE_AUTHOR("Mark M. Hoffman <mhoffman@lightlink.com>");
 MODULE_DESCRIPTION("hardware monitoring sysfs/class support");
